FROM openjdk:8-jdk-alpine

RUN wget -q https://services.gradle.org/distributions/gradle-4.6-bin.zip \
    && unzip gradle-4.6-bin.zip -d / \
    && rm gradle-4.6-bin.zip

ENV GRADLE_HOME //gradle-4.6
ENV PATH $PATH://gradle-4.6/bin
COPY src /home/src
COPY settings.gradle /home
COPY build.gradle /home
WORKDIR /home
RUN gradle build
CMD ["java", "-jar", "build/libs/member-service-0.1.jar"]